Package ghidra.program.util

# Class OldLanguageFactory

java.lang.Object
ghidra.program.util.OldLanguageFactory

public class OldLanguageFactory extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `OLD_LANGUAGE_FILE_EXT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `createOldLanguageFile(Language lang, File file)`
  Create old-language file for the specified language.
  `LanguageDescription[]`
  `getLatestOldLanaguageDescriptions()`
  Return the Language Descriptions for the latest version of all old languages.
  `LanguageDescription`
  `getLatestOldLanguage(LanguageID languageID)`
  Return language description for the latest version of an old language
  `Language`
  `getOldLanguage(LanguageID languageID, int majorVersion)`
  Return old language if an old language specification file exists for the specified language and version.
  `static OldLanguageFactory`
  `getOldLanguageFactory()`
  Returns the single instance of the OldLanguageFactory.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### OLD_LANGUAGE_FILE_EXT

    public static final String OLD_LANGUAGE_FILE_EXT
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getOldLanguageFactory

    public static OldLanguageFactory getOldLanguageFactory()
    Returns the single instance of the OldLanguageFactory.

  - ### getOldLanguage

    public Language getOldLanguage(LanguageID languageID, int majorVersion)
    Return old language if an old language specification file exists for the specified language and version.
    Parameters:
      `languageID` -
      `majorVersion` - language major version, or -1 for latest version
    Returns:
      old language or null if specification not found.

  - ### getLatestOldLanguage

    public LanguageDescription getLatestOldLanguage(LanguageID languageID)
    Return language description for the latest version of an old language
    Parameters:
      `languageID` -
    Returns:
      old language description or null if specification not found.

  - ### getLatestOldLanaguageDescriptions

    public LanguageDescription[] getLatestOldLanaguageDescriptions()
    Return the Language Descriptions for the latest version of all old languages.

  - ### createOldLanguageFile

    public static void createOldLanguageFile(Language lang, File file) throws IOException, LanguageNotFoundException
    Create old-language file for the specified language.
    Parameters:
      `lang` - language
      `file` - output file
    Throws:
      `IOException` - if file error occurs
      `LanguageNotFoundException` - if lang is unknown to DefaultLanguageService